#!/bin/bash

## @brief  supervisor for server
## @author zhoufei
## @email  zhoufei05@baidu.com
## @date   2016-02-01-Mon

echo "1" > supervisor.tmp
running=`cat supervisor.tmp`

while [ "x${running}" != "x0" ]; do
  port=`sed -nr "s/^serverPort=([0-9]+)/\1/p" ./resources/server.properties`
  # echo ${port}
  netstat -antpl 2>&1 | grep ${port} 2>&1 | grep LISTEN 2>&1 > /dev/null
  if [ "x$?" != "x0" ]; then
    echo "server not running, start server"
    sh ./start_server.sh
  fi
  running=`cat supervisor.tmp`
  if [ "x${running}" != "x0" ]; then
    running=1
  fi
  # enough time for init a server
  sleep 10
done
sh ./stop_server.sh
echo "stop server"
rm supervisor.tmp
