
# nohup java -Xmx2048m -jar server.jar 2>&1>/dev/null &
# nohup java -jar server.jar 2>&1>/dev/null &
# nohup java -Xmx2048m -jar server.jar 2>&1>/dev/null &
# nohup java -jar server.jar 2>&1>/dev/null &

# Ratio=0.6
# TotalMem=`free -m | grep  'Mem:' | awk '{print $2}'`
# MaxMem=`echo "scale=0;${TotalMem} * ${Ratio}/1" | bc -l`

MaxMem=8192

cd `dirname $0`
pwd=`pwd -P`
cd ${pwd}

mkdir -p ${pwd}/logs
jvm_option=" -Xmx${MaxMem}m -XX:+UseG1GC -XX:SurvivorRatio=8 -XX:+PrintGCTimeStamps -XX:+PrintGCDetails -Xloggc:${pwd}/logs/server.gc.log "
# jvm_option=" -agentpath:/home/users/zhoufei05/tmp/YourKit-JavaProfiler-2017.02/bin/linux-x86-64/libyjpagent.so=disablestacktelemetry,exceptions=disable,delay=10000,port=8123 "${jvm_option}
java ${jvm_option} -jar ${pwd}/server.jar 2>&1>/dev/null &



